/**********************************************************************
 
	Copyright (C) 2003 Hirohisa MORI <joshua@nichibun.ac.jp>
 
	This program is free software; you can redistribute it 
	and/or modify it under the terms of the GLOBALBASE 
	Library General Public License (G-LGPL) as published by 

	http://www.globalbase.org/
 
	This program is distributed in the hope that it will be 
	useful, but WITHOUT ANY WARRANTY; without even the 
	implied warranty of MERCHANTABILITY or FITNESS FOR A 
	PARTICULAR PURPOSE.

**********************************************************************/



#include	"memory_routine.h"
#include	"xl.h"

XL_SEXP *
get_raw(char * data,int size)
{
XL_RAW * ret;
	ret = &get_sexp(0,XLT_RAW)->raw;
	ret->size = size;
	ret->data = mmalloc(size,gc_text);
	memcpy(ret->data,data,size);
	return (XL_SEXP*)ret;
}

XL_SEXP *
get_raw_set_data(char * data,int size)
{
XL_RAW * ret;
	ret = &get_sexp(0,XLT_RAW)->raw;
	ret->size = size;
	ret->data = data;
	return (XL_SEXP*)ret;
}

